> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify PAN Details

> API verifies the PAN number and the information of the holder.

<Card title="Run in Postman" icon="https://mintcdn.com/sandboxfinancialtechnologiesprivatelimited/gviqebbpT5NUt_6i/static/svg/Postman.svg?fit=max&auto=format&n=gviqebbpT5NUt_6i&q=85&s=da47f2b7e10d87befec951aed9468de3" horizontal arrow="true" href="https://www.postman.com/in-co-sandbox/sandbox-api/request/78kr566/verify-pan-details" width="2030" height="2031" data-path="static/svg/Postman.svg" />


## OpenAPI

````yaml api-reference/kyc/openapi.json POST /kyc/pan/verify
openapi: 3.1.0
info:
  title: in-co-sandbox-kyc
  description: ''
  version: 1.0.0
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security: []
tags:
  - name: kyc
  - name: digilocker-sdk
  - name: digilocker
  - name: aadhaar
  - name: bank
  - name: pan
  - name: mca
  - name: entitylocker
  - name: entitylocker-sdk
paths:
  /kyc/pan/verify:
    post:
      tags:
        - kyc
        - pan
      summary: Verify PAN Details
      operationId: verifyPAN
      parameters:
        - name: Authorization
          in: header
          description: >-
            JWT access token. For token-generation steps, refer to the
            [Quickstart
            Guide](https://developer.sandbox.co.in/guides/get-started/quickstart).
          required: true
          example: '{{access_token}}'
          schema:
            type: string
        - name: x-accept-cache
          in: header
          description: >-
            Pass true to accept the cached response. If the header is not
            passed, or if false is sent as the value, the request will hit the
            origin.
          required: false
          example: 'true'
          schema:
            type: boolean
        - name: x-api-key
          in: header
          description: API key used to identify and authenticate the client.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: Specifies the API version for the request.
          required: false
          example: 1.0.0
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Media type of the request body.
          required: false
          example: application/json
          schema:
            type: string
            enum:
              - application/json
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                '@entity':
                  type: string
                  enum:
                    - in.co.sandbox.kyc.pan_verification.request
                pan:
                  type: string
                  pattern: ^[A-Z]{5}[0-9]{4}[A-Z]{1}$
                  description: >-
                    Permanent Account Number to be verified against official PAN
                    records.
                name_as_per_pan:
                  type: string
                  minLength: 2
                  description: >-
                    Full name of the PAN holder exactly as printed on the PAN
                    card.
                date_of_birth:
                  type: string
                  pattern: ^(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[0-2])/([0-9]{4})$
                  description: >-
                    Date of birth or date of incorporation associated with the
                    PAN in DD/MM/YYYY format.
                consent:
                  type: string
                  enum:
                    - 'Y'
                    - 'y'
                  description: >-
                    Explicit consent from the end user to retrieve and verify
                    PAN details.
                reason:
                  type: string
                  minLength: 20
                  description: Purpose for requesting PAN verification.
              required:
                - '@entity'
                - pan
                - name_as_per_pan
                - date_of_birth
                - consent
                - reason
              additionalProperties: false
            examples:
              200 - Sucess Individual:
                value:
                  '@entity': in.co.sandbox.kyc.pan_verification.request
                  pan: XXXPX1234A
                  name_as_per_pan: John Ronald Doe
                  date_of_birth: 11/11/2001
                  consent: 'Y'
                  reason: For onboarding customers
                summary: 200 - Sucess Individual
              200 - Success Individual 2:
                value:
                  '@entity': in.co.sandbox.kyc.pan_verification.request
                  pan: XXXPX1234H
                  name_as_per_pan: Tony Duck
                  date_of_birth: 10/11/1999
                  consent: 'Y'
                  reason: For onboarding customers
                summary: 200 - Success Individual 2
              200 - Success Individual 3:
                value:
                  '@entity': in.co.sandbox.kyc.pan_verification.request
                  pan: XXXPX1234O
                  name_as_per_pan: James Hope
                  date_of_birth: 10/11/1999
                  consent: 'Y'
                  reason: For onboarding customers
                summary: 200 - Success Individual 3
              200 - Success Individual 4:
                value:
                  '@entity': in.co.sandbox.kyc.pan_verification.request
                  pan: XXXPX1234L
                  name_as_per_pan: James Hope Jr
                  date_of_birth: 10/11/1999
                  consent: 'Y'
                  reason: For onboarding customers
                summary: 200 - Success Individual 4
              200 - Success PAN Trust:
                value:
                  '@entity': in.co.sandbox.kyc.pan_verification.request
                  pan: XXXTX1234P
                  name_as_per_pan: Acme Trust
                  date_of_birth: 10/11/1999
                  consent: 'Y'
                  reason: For onboarding customers
                summary: 200 - Success PAN Trust
              200 - Success PAN Company:
                value:
                  '@entity': in.co.sandbox.kyc.pan_verification.request
                  pan: XXXCX1234B
                  name_as_per_pan: Ron Doe Private Limited
                  date_of_birth: 10/11/1969
                  consent: 'Y'
                  reason: For onboarding customers
                summary: 200 - Success PAN Company
              200 - Success PAN AOP:
                value:
                  '@entity': in.co.sandbox.kyc.pan_verification.request
                  pan: XXXAX2345A
                  name_as_per_pan: Doe Associations
                  date_of_birth: 08/12/1991
                  consent: 'Y'
                  reason: For onboarding customers
                summary: 200 - Success PAN AOP
              200 - Success PAN BOI:
                value:
                  '@entity': in.co.sandbox.kyc.pan_verification.request
                  pan: XXXBX3456B
                  name_as_per_pan: Doe Industries
                  date_of_birth: 08/12/1991
                  consent: 'Y'
                  reason: For onboarding customers
                summary: 200 - Success PAN BOI
              422 - Invalid PAN Pattern:
                value:
                  pan: XXXPX123EE
                  name_as_per_pan: Bob Hope
                  date_of_birth: 10/11/1999
                  consent: 'Y'
                  reason: For onboarding customers
                summary: 422 - Invalid PAN Pattern
              503 - Source Unavailable:
                value:
                  '@entity': in.co.sandbox.kyc.pan_verification.request
                  pan: XXXPX1234Z
                  name_as_per_pan: John Ronald Doe
                  date_of_birth: 11/11/2001
                  consent: 'Y'
                  reason: For onboarding customers
                summary: 503 - Source Unavailable
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                        const: in.co.sandbox.kyc.pan_verification.response
                      pan:
                        type: string
                      category:
                        type: string
                      status:
                        type: string
                      remarks:
                        type:
                          - string
                          - 'null'
                      name_as_per_pan_match:
                        type: boolean
                      date_of_birth_match:
                        type: boolean
                      aadhaar_seeding_status:
                        type: string
                        enum:
                          - 'y'
                          - 'n'
                          - na
                    required:
                      - '@entity'
                      - pan
                      - category
                      - status
                      - remarks
                      - name_as_per_pan_match
                      - date_of_birth_match
                      - aadhaar_seeding_status
                required:
                  - code
                  - timestamp
                  - transaction_id
                  - data
              examples:
                200 - Sucess Individual:
                  summary: 200 - Sucess Individual
                  value:
                    code: 200
                    timestamp: 1000000000000
                    transaction_id: 3b862714-d27d-4907-9027-e6399f8a8d46
                    data:
                      '@entity': in.co.sandbox.kyc.pan_verification.response
                      pan: XXXPX1234A
                      category: individual
                      status: valid
                      remarks: null
                      name_as_per_pan_match: true
                      date_of_birth_match: true
                      aadhaar_seeding_status: 'y'
                200 - Success Individual 2:
                  summary: 200 - Success Individual 2
                  value:
                    code: 200
                    timestamp: 1000000000000
                    transaction_id: 9cc69288-ed1b-4c8c-b25c-99eefad3e5fe
                    data:
                      '@entity': in.co.sandbox.kyc.pan_verification.response
                      pan: XXXPX1234H
                      category: individual
                      status: valid
                      remarks: Holder is Deceased
                      name_as_per_pan_match: true
                      date_of_birth_match: true
                      aadhaar_seeding_status: 'n'
                200 - Success Individual 3:
                  summary: 200 - Success Individual 3
                  value:
                    code: 200
                    timestamp: 1000000000000
                    transaction_id: bce2ed4d-aec0-49be-82cb-ed875f75ba5e
                    data:
                      '@entity': in.co.sandbox.kyc.pan_verification.response
                      pan: XXXPX1234O
                      category: individual
                      status: valid
                      remarks: null
                      name_as_per_pan_match: true
                      date_of_birth_match: false
                      aadhaar_seeding_status: 'n'
                200 - Success Individual 4:
                  summary: 200 - Success Individual 4
                  value:
                    code: 200
                    timestamp: 1000000000000
                    transaction_id: 8ee5bad9-7692-49e1-b300-7537a34c0e3d
                    data:
                      '@entity': in.co.sandbox.kyc.pan_verification.response
                      pan: XXXPX1234L
                      category: individual
                      status: valid
                      remarks: null
                      name_as_per_pan_match: false
                      date_of_birth_match: false
                      aadhaar_seeding_status: 'n'
                200 - Success PAN Trust:
                  summary: 200 - Success PAN Trust
                  value:
                    code: 200
                    timestamp: 1000000000000
                    transaction_id: 0ad0afbe-e74f-48dc-9472-9e0b9d8e916f
                    data:
                      '@entity': in.co.sandbox.kyc.pan_verification.response
                      pan: XXXTX1234P
                      category: trust
                      status: valid
                      remarks: Liquidated
                      name_as_per_pan_match: true
                      date_of_birth_match: false
                      aadhaar_seeding_status: na
                200 - Success PAN Company:
                  summary: 200 - Success PAN Company
                  value:
                    code: 200
                    timestamp: 1000000000000
                    transaction_id: c5a081b4-6e75-4e39-bcfb-bb9c5903b633
                    data:
                      '@entity': in.co.sandbox.kyc.pan_verification.response
                      pan: XXXCX1234B
                      category: company
                      status: valid
                      remarks: Merger
                      name_as_per_pan_match: true
                      date_of_birth_match: true
                      aadhaar_seeding_status: na
                200 - Success PAN AOP:
                  summary: 200 - Success PAN AOP
                  value:
                    code: 200
                    timestamp: 1000000000000
                    transaction_id: 72f05811-a832-4812-9b15-3c390fb31862
                    data:
                      '@entity': in.co.sandbox.kyc.pan_verification.response
                      pan: XXXAX2345A
                      category: association_of_persons
                      status: valid
                      remarks: null
                      name_as_per_pan_match: false
                      date_of_birth_match: false
                      aadhaar_seeding_status: na
                200 - Success PAN BOI:
                  summary: 200 - Success PAN BOI
                  value:
                    code: 200
                    timestamp: 1000000000000
                    transaction_id: bd5d57d7-745c-4d68-9dc7-49cc7433bdaf
                    data:
                      '@entity': in.co.sandbox.kyc.pan_verification.response
                      pan: XXXBX3456B
                      category: body_of_individuals
                      status: valid
                      remarks: null
                      name_as_per_pan_match: false
                      date_of_birth_match: true
                      aadhaar_seeding_status: na
          headers: {}
        '422':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                422 - Invalid PAN Pattern:
                  summary: 422 - Invalid PAN Pattern
                  value:
                    code: 422
                    timestamp: 1000000000000
                    transaction_id: 9e50cb77-e1f5-47c0-acf5-7b5b19bdc308
                    message: Invalid Pan pattern
          headers: {}
        '503':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                503 - Source Unavailable:
                  summary: 503 - Source Unavailable
                  value:
                    code: 503
                    timestamp: 1000000000000
                    transaction_id: 6c05f692-c32f-4de0-92b4-56684bdf16f0
                    message: Source Unavailable
          headers: {}
      deprecated: false
      security: []

````